Jump to content

cant log in


JAICA
 Share

Recommended Posts

Hi im trying to play in Firestrom private mop server. I updated my launcher to the version 5.4.8 but when I start wow WRobot says its the wrong version.. What do I do?

Link to comment
Share on other sites

30 minutes ago, JAICA said:

Hi im trying to play in Firestrom private mop server. I updated my launcher to the version 5.4.8 but when I start wow WRobot says its the wrong version.. What do I do?

Download the other version

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...